package SampleDatabase;

/* SampleDatabase/AntiqueOwners_Table.java
 *
 * Copyright (c) 1999 Chris Studholme <chris.studholme@utoronto.ca>
 *
 * May be copied or modified under the terms of the GNU General Public
 * License.  See COPYING for more information.
 */

/**
 * <p>See TableTemplate for information about this class.
 *
 * @author chris.studholme@utoronto.ca
 */

class AntiqueOwners_Table extends TableTemplate {

    public AntiqueOwners_Table() {
	name="AntiqueOwners";
	rows = new AntiqueOwners_Row[5];
	rows[0] =  new AntiqueOwners_Row("01","Jones","Bill");
	rows[1] =  new AntiqueOwners_Row("02","Smith","Bob");
	rows[2] =  new AntiqueOwners_Row("15","Lawson","Patricia");
	rows[3] =  new AntiqueOwners_Row("21","Akins","Jane");
	rows[4] =  new AntiqueOwners_Row("50","Fowler","Sam");
	fields = rows[0].getClass().getFields();
    }

};
